Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82812 - minimal kickstart install crashes
Summary: minimal kickstart install crashes
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-kickstart
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-27 05:45 UTC by carolyn
Modified: 2007-04-18 16:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-05 22:01:35 UTC


Attachments (Terms of Use)
Error dump from anaconda (deleted)
2003-01-27 05:47 UTC, carolyn
no flags Details

Description carolyn 2003-01-27 05:45:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.3a) Gecko/20021207
Phoenix/0.5

Description of problem:
Trying to install RedHat 8.0 on a Celeron PC (333Mhz, 192 Mb RAM), using a
kickstart file generated by the Kickstart Configurator on a working RH8.0
system, results in anaconda crashing with an unhandled exception.

When generating the kickstart file I selected only the Minimal group of
packages, figuring that should give me a basic working system that I could add
to later. Installing from floppy with the generated ks.cfg file failed right
after the "reading package information" message with a python error, attached.
The CDROM containing the packages passed the mediacheck test.

If I regenerate the ks.cfg file and select another package group as well as the
@Minimal specification, the install crashes with exactly the same error as
@Minimal alone. But if I uncheck @Minimal, the install works fine.

How reproducible:
Always

Steps to Reproduce:
1. Generate a kickstart file with redhat-config-kickstart
2. Select the Minimal package group under Package Selection/Miscellaneous
3. Install RedHat using the kickstart file

Comment 1 carolyn 2003-01-27 05:47:11 UTC
Created attachment 89614 [details]
Error dump from anaconda

Comment 2 Michael Fulbright 2003-01-27 17:19:34 UTC
This appears to be a bug with the redhat-config-kickstart program.

@Minimal is not a legal name for a component. You want to use @Base.


Comment 3 Brent Fox 2003-02-05 22:01:35 UTC
Should be fixed in redhat-config-packages as of version 2.3.3-5 and later.  I
removed the options for "Minimal" and "Everything" on Nov. 25, 2002.

If you want minimum, just don't select any groups.  If you want Everything,
select all the groups.

Comment 4 Brent Fox 2003-02-10 21:53:14 UTC
Correction: I mean redhat-config-kickstart-2.3.3-5, not redhat-config-packages.


Note You need to log in before you can comment on or make changes to this bug.